﻿@model PatientCard.Models.PatientViewModel


<div id="showmodal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button class="close" data-dismiss="modal" area-hidden="true">X</button>
                <h4>Пациент</h4>
            </div>
            <div class="modal-body">
                @using (Html.BeginRouteForm("DefaultApi", new { controller="Patients", httproute="true" }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                {
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    @Html.HiddenFor(m => m.Id)
                    <div class="form-group">
                        @Html.LabelFor(m => m.IIN, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.TextBoxFor(m => m.IIN, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.IIN, "", new { @class = "text-danger" })
                        </div>

                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.FIO, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.TextBoxFor(m => m.FIO, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.FIO, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.PhoneNumber, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.TextBoxFor(m => m.PhoneNumber, new { @class = "form-control", @type="phone" })
                            @Html.ValidationMessageFor(m => m.PhoneNumber, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.Address, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.TextBoxFor(m => m.Address, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.Address, "", new { @class = "text-danger" })
                        </div>
                    </div>
                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="submit" class="btn btn-default" value="Сохранить" />
                            </div>
                        </div>
                }
            </div>
        </div>
    </div>
</div>

<script src="~/Scripts/js/ModalHelper.js"></script>
<script src="~/Scripts/jquery.validate.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
<script src="~/Scripts/jquery.unobtrusive-ajax.min.js"></script>
<script >
    $("#PhoneNumber").keyup(function () {
        $(this).val($(this).val().replace(/^(\d{1})(\d{3})(\d{3})(\d{4})+$/, "$1($2)$3-$4"));
    })
</script>
